Subject: Re: [dhcwg] Should the DHC working group work ondraft-lemon-dhcpv6-relay-supplied-options?

From: Marcus Goller <[email-masked]>
Date: Wed, 19 May 2010 11:05:24 +0200

> I think it might be worth specifying a list of options that the relay agent should never send, and that the server should always ignore when processing RS options.   Even though we can't anticipate future options, I think you're right to be concerned about relays providing options that it would be an error for the DHCP server to forward, whether due to misfeasance or malfeasance.

Hi,

I agree with Bernie that the DHCP server should allow for different
policies to be configured (if the internal candidate or the relay
agent supplied option takes precedence for example), so that the DHCP
admin can choose the appropriate one for his/her deployment. I am not
sure if the draft should give a list of options to always ignore,
because as mentioned this is hard to maintain and might also cause
some deployments to violate the RFC if for whatever reason somebody
chooses to still go ahead and use a "forbidden" option from the relay
agent. I think giving a list of options to ignore should be up to the
server vendor (by providing a default list of options) and the server
admin (by being able to modify the default list). The draft, in my
opinion, should only either require or recommend to have the server
support such functionality, but not specify its content.

Marcus